<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="">
	<query id="CraftOrdDesignMscPlSti.getPhyProcess" desc="获取出性能点的工序（没有则取最大工序）">
		<![CDATA[
SELECT NVL(MAX(A.PROCESS_CODE), 'H') PROCESS_CODE
  FROM CRAFT_ORD_DESIGN_MSC_PL_STI A,
       CRAFT_ORD_DESIGN B
 WHERE A.STATION_TYPE = '403202'
   AND B.DESGIN_KEY = A.DESGIN_KEY
   AND B.ORD_LN_PK = {0}
   AND B.CRAFT_SEQ = {1}
   AND A.MSC_PLINE = {2}
		]]>
	</query>
	
	<query id="CraftOrdDesignMscPlSti.getChemStation" desc="获取成分类型工序点">
		<![CDATA[
SELECT T.*
  FROM CRAFT_ORD_DESIGN_MSC_PL_STI T
 WHERE T.DESGIN_KEY = {0}
   AND T.MSC_PLINE = {1}
   AND T.PROCESS_CODE = {2}
   AND T.STATION_TYPE = '403201'
		]]>
	</query>

	<query id="CraftOrdDesignMscPlSti.getStation" desc="获取成分类型工序点">
		<![CDATA[
SELECT A.STATION_CODE, A.STATION_DESC, A.STATION_TYPE
  FROM CRAFT_ORD_DESIGN_MSC_PL_STI A, CRAFT_ORD_DESIGN B
 WHERE B.ORD_LN_PK = {0}
   AND B.CRAFT_SEQ = {1}
   AND A.DESGIN_KEY = B.DESGIN_KEY
   AND A.MSC_PLINE = {2}
   AND A.PROCESS_CODE = {3}
		]]>
	</query>
</queryMap>